confirm_password_reset
POST
/api/v1/auth/password/reset/confirm
const url = 'https://example.com/api/v1/auth/password/reset/confirm';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"new_password":"example","token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/auth/password/reset/confirm";
let payload = json!({ "new_password": "example", "token": "example" });
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://example.com/api/v1/auth/password/reset/confirm \ --header 'Content-Type: application/json' \ --data '{ "new_password": "example", "token": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Confirm a password reset with the token from the email.
object
new_password
required
string
token
required
string
Examplegenerated
{ "new_password": "example", "token": "example"}Responses
Section titled “Responses”Password reset successful
Media typeapplication/json
统一 API 响应格式
成功: { "code": "success", "msg": "", "data": {...} }
失败: { "code": "auth.credentials_failed", "msg": "Invalid Credentials" }
object
Example
{ "code": "success"}Invalid token or password
Reset token expired